CoCoA-5 - Support #406

Manual for CoCoAManual/CoCoAHelp.xml
10 Oct 2013 14:26 - Anna Maria Bigatti

Status: Closed Start date: 10 Oct 2013
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Manual/documentation Estimated time: 4.00 hours
Target version: CoCoA-5.4.0 Spent time: 5.90 hours
Description

write a README with instructions about how to write an entry in CoCoAManual/CoCoAHelp.xml

Related issues:

Related to CoCoA-5 - Support #324: Correct font for variable references in de... Closed 26 Feb 2013
Related to CoCoA-5 - Support #169: Font for parameters in manual Closed 25 May 2012
Related to CoCoA-5 - Support #1268: Documentation for how to write a CoCoA pa... Closed 03 Apr 2019
Related to CoCoA-5 - Design #1164: Manual: loading manual entries written by ... Closed 08 Mar 2018
History

#1 - 10 Oct 2013 15:11 - Anna Maria Bigatti
- Estimated time set to 4.00 h

#2 - 10 Oct 2013 15:12 - Anna Maria Bigatti
- % Done changed from 0 to 20

#3 - 06 Mar 2014 20:43 - John Abbott

| want some guidance about which fonts to use in the description of a CoCoA function when refering to the arguments. We need to choose "fonts"
which render well in all forms of the documentation. Here is a pseudo-example:

This function finds the index of the N-th occurrence of X in the list L.

| think that N, X and L should be in a different font from the main text.

PS I've added a link to the related issue #324

#4 - 28 Mar 2014 08:38 - Anna Maria Bigatti
John Abbott wrote:

| think that N, X and L should be in a different font from the main text.

we should use tt

<tt>N</tt>
https://cocoa.dima.unige.it/redmine/issues/324

there is a similar tag code, but I'd follow the KISS approach and remove that tag: tt is faster to type than code, so we are more likely to do it ;-)

#5 - 09 Apr 2014 15:56 - John Abbott
- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.2.7

#6 - 07 Aug 2018 17:44 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0
- % Done changed from 20 to 50

| think that has been partly done. There is certainly a preliminary README file.
We should check that it is reasonably self explanatory (or make it so).
Then we can close this issue.

#7 - 07 Aug 2018 17:53 - John Abbott

- Related to Support #169: Font for parameters in manual added

#8 - 11 Oct 2019 22:16 - John Abbott

Should we postpone this issue to the release after 5.3.0?

#9 - 14 Oct 2019 17:03 - Anna Maria Bigatti
John Abbott wrote:

Should we postpone this issue to the release after 5.3.07

| think we should aim at 5.3.0.
If we can't make it, we postpone it in January.

#10 - 13 Feb 2020 15:45 - John Abbott
- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#11 - 16 Feb 2022 20:21 - John Abbott
- % Done changed from 50 to 60

I'm postponing this again.
Writing documentation is somehow always "low priority", but writing documentation about writing documentation... oh goodness!!!

#12 - 16 Feb 2022 20:21 - John Abbott
- Target version changed from CoCo0A-5.4.0 to CoCoA-5.4.2
#13 - 02 Mar 2022 16:11 - Anna Maria Bigatti
- Status changed from In Progress to Feedback

- % Done changed from 60 to 90

Major discussion and work with John Abbott lead to some useful decisions and the consequent major update of the guidelines in REAME.

At this point this is a "forever-issue" as the system develops, but the important guidelines have been fixed.

#14 - 02 Mar 2022 16:11 - Anna Maria Bigatti
- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

#15 - 02 Mar 2022 16:13 - Anna Maria Bigatti
- Related to Support #1268: Documentation for how to write a CoCoA package added

#16 - 02 Mar 2022 16:18 - Anna Maria Bigatti

- Related to Design #1164: Manual: loading manual entries written by users added
#17 - 13 Jun 2022 15:33 - Redmine Admin

- Status changed from Feedback to Closed
- % Done changed from 90 to 100
